package com.facebook.common.time;

import X.QI3;
import android.os.SystemClock;
import com.bytedance.covode.number.Covode;

public class RealtimeSinceBootClock implements QI3 {
    public static final RealtimeSinceBootClock INSTANCE = new RealtimeSinceBootClock();

    public static RealtimeSinceBootClock get() {
        return INSTANCE;
    }

    public long now() {
        return SystemClock.elapsedRealtime();
    }

    static {
        Covode.recordClassIndex(41176);
    }
}
